aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2014-11-29 22:56:34 +0100
committerMarius Brehler <marbre@linux.sungazer.de>2014-11-29 22:56:34 +0100
commit08459587b680ea8cb2d9bf8216c0eccd78458238 (patch)
treef831e88d61f99deeb5af0a62551676a012d2ae15 /sys-cluster/mpe2
parentsys-cluster/mpe2: Add ebuild to overlay and bump version (diff)
downloadsci-08459587b680ea8cb2d9bf8216c0eccd78458238.tar.gz
sci-08459587b680ea8cb2d9bf8216c0eccd78458238.tar.bz2
sci-08459587b680ea8cb2d9bf8216c0eccd78458238.zip
sys-cluster/mpe2: Add missing die
Diffstat (limited to 'sys-cluster/mpe2')
-rw-r--r--sys-cluster/mpe2/mpe2-1.3.0.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/sys-cluster/mpe2/mpe2-1.3.0.ebuild b/sys-cluster/mpe2/mpe2-1.3.0.ebuild
index b76e7add0..a1728a742 100644
--- a/sys-cluster/mpe2/mpe2-1.3.0.ebuild
+++ b/sys-cluster/mpe2/mpe2-1.3.0.ebuild
@@ -68,7 +68,7 @@ pkg_setup() {
src_prepare() {
# Don't assume path contains ./
- sed -i 's,\($MPERUN\) $pgm,\1 ./$pgm,' sbin/mpetestexeclog.in
+ sed -i 's,\($MPERUN\) $pgm,\1 ./$pgm,' sbin/mpetestexeclog.in || die
}
src_configure() {
@@ -105,7 +105,7 @@ src_configure() {
src_test() {
local rc
- cd "${S}"
+ cd "${S}" || die
if [[ "${MPE_IMP}" == mpich2 ]]; then
echo "MPD_SECRETWORD=junk" > "${T}"/mpd.conf
chmod 600 "${T}"/mpd.conf